Publish Agent Draft
curl --request POST \
--url https://{tenant_id}.api.useago.com/api/v1/agents/{agent_id}/draft/publish \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"version": 1,
"force": false
}
'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/agents/{agent_id}/draft/publish"
payload = {
"version": 1,
"force": False
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({version: 1, force: false})
};
fetch('https://{tenant_id}.api.useago.com/api/v1/agents/{agent_id}/draft/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"status": "<string>",
"object": "agent",
"display_name": "<string>",
"prompt_template_id": "<string>",
"prompt_template_name": "<string>",
"tools": [],
"sources": [],
"icon": "<string>",
"custom_icon_id": "<string>",
"is_background_agent": false,
"can_be_used_as_tool": false,
"ui_selectable": true,
"order": 123,
"pinned_documents": [],
"number_docs_to_retrieve": 8,
"number_docs_to_display": 8,
"custom_llm_id": "<string>",
"custom_llm_temperature": 123,
"custom_llm_top_p": 123,
"ignore_sources_restrictions": false,
"is_router_agent": false,
"default_router_agent_id": "<string>",
"reasoning_iterations": 1,
"tool_description": "<string>",
"share_conversation_context": false,
"max_call_depth": 5,
"satisfaction_feedback_activated": false,
"satisfaction_feedback_question": "",
"satisfaction_feedback_helper_text": "",
"satisfaction_feedback_no_action": "ticket_form",
"inject_user_ticket_context": false,
"ticket_context_days_limit": 7,
"use_global_tone_of_voice": true,
"tone_of_voice": ""
}Agents
Publish Agent Draft
Apply the draft to the live agent and delete the draft.
POST
/
api
/
v1
/
agents
/
{agent_id}
/
draft
/
publish
Publish Agent Draft
curl --request POST \
--url https://{tenant_id}.api.useago.com/api/v1/agents/{agent_id}/draft/publish \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"version": 1,
"force": false
}
'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/agents/{agent_id}/draft/publish"
payload = {
"version": 1,
"force": False
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({version: 1, force: false})
};
fetch('https://{tenant_id}.api.useago.com/api/v1/agents/{agent_id}/draft/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"status": "<string>",
"object": "agent",
"display_name": "<string>",
"prompt_template_id": "<string>",
"prompt_template_name": "<string>",
"tools": [],
"sources": [],
"icon": "<string>",
"custom_icon_id": "<string>",
"is_background_agent": false,
"can_be_used_as_tool": false,
"ui_selectable": true,
"order": 123,
"pinned_documents": [],
"number_docs_to_retrieve": 8,
"number_docs_to_display": 8,
"custom_llm_id": "<string>",
"custom_llm_temperature": 123,
"custom_llm_top_p": 123,
"ignore_sources_restrictions": false,
"is_router_agent": false,
"default_router_agent_id": "<string>",
"reasoning_iterations": 1,
"tool_description": "<string>",
"share_conversation_context": false,
"max_call_depth": 5,
"satisfaction_feedback_activated": false,
"satisfaction_feedback_question": "",
"satisfaction_feedback_helper_text": "",
"satisfaction_feedback_no_action": "ticket_form",
"inject_user_ticket_context": false,
"ticket_context_days_limit": 7,
"use_global_tone_of_voice": true,
"tone_of_voice": ""
}Authorizations
Path Parameters
Response
200 - application/json
OK
Full agent response schema for detail views.
